Reports
GET
organization_id*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uripreferences*array<>|nullcurl -X GET 'https://example.com/api/v1/organizations/string/notification-preferences'Example Response
{ "$schema": "https://example.com/schemas/PreferencesOutputBody.json", "preferences": [ { "category": "string", "channel": "string", "enabled": true } ]}PATCH
organization_id*stringapplication/json- body
category*stringchannel*stringenabled*booleanNo Content
curl -X PATCH 'https://example.com/api/v1/organizations/string/notification-preferences' \ -H 'Content-Type: application/json' \ -d '{ "category": "string", "channel": "string", "enabled": true}'Example Response
Empty
GET
organization_id*stringrun_id*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
urirun*curl -X GET 'https://example.com/api/v1/organizations/string/report-runs/string'Example Response
{ "$schema": "https://example.com/schemas/GetRunOutputBody.json", "run": { "completedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "id": "string", "reportKey": "string", "rowCount": 0, "status": "string", "summary": null }}GET
organization_id*stringlimit?integerPage size (1-100)
Format
int64Range
1 <= value <= 100Default
20cursor?stringOpaque cursor from meta.nextCursor
includeTotal?booleanSet false to omit meta.total
Default
trueOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uridata*array<>|nullmeta*curl -X GET 'https://example.com/api/v1/organizations/string/report-schedules'Example Response
{ "$schema": "https://example.com/schemas/PageScheduleView.json", "data": [ { "cadence": "string", "enabled": true, "format": "string", "id": "string", "lastRunAt": "2019-08-24T14:15:22Z", "name": "string", "nextRunAt": "2019-08-24T14:15:22Z", "recipients": [ { "accountId": "string", "email": "string", "kind": "string" } ], "reportKey": "string", "sendHour": 0 } ], "meta": { "hasMore": true, "limit": 0, "nextCursor": "string", "total": 0 }}POST
organization_id*stringapplication/json- body
cadence*stringdaily, weekly, or monthly.
name*stringrecipients*array<>|nullreportKey*stringsendHour*integerUTC hour 0-23.
Format
int32OK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
urischedule*curl -X POST 'https://example.com/api/v1/organizations/string/report-schedules' \ -H 'Content-Type: application/json' \ -d '{ "cadence": "string", "name": "string", "recipients": [ { "kind": "string" } ], "reportKey": "string", "sendHour": 0}'Example Response
{ "$schema": "https://example.com/schemas/ScheduleOutputBody.json", "schedule": { "cadence": "string", "enabled": true, "format": "string", "id": "string", "lastRunAt": "2019-08-24T14:15:22Z", "name": "string", "nextRunAt": "2019-08-24T14:15:22Z", "recipients": [ { "accountId": "string", "email": "string", "kind": "string" } ], "reportKey": "string", "sendHour": 0 }}PATCH
organization_id*stringschedule_id*stringapplication/json- body
cadence*stringdaily, weekly, or monthly.
enabled*booleanname*stringrecipients*array<>|nullsendHour*integerUTC hour 0-23.
Format
int32OK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
urischedule*curl -X PATCH 'https://example.com/api/v1/organizations/string/report-schedules/string' \ -H 'Content-Type: application/json' \ -d '{ "cadence": "string", "enabled": true, "name": "string", "recipients": [ { "kind": "string" } ], "sendHour": 0}'Example Response
{ "$schema": "https://example.com/schemas/ScheduleOutputBody.json", "schedule": { "cadence": "string", "enabled": true, "format": "string", "id": "string", "lastRunAt": "2019-08-24T14:15:22Z", "name": "string", "nextRunAt": "2019-08-24T14:15:22Z", "recipients": [ { "accountId": "string", "email": "string", "kind": "string" } ], "reportKey": "string", "sendHour": 0 }}DELETE
organization_id*stringschedule_id*stringNo Content
curl -X DELETE 'https://example.com/api/v1/organizations/string/report-schedules/string'Example Response
Empty
GET
organization_id*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
urireports*array<>|nullcurl -X GET 'https://example.com/api/v1/organizations/string/reports'Example Response
{ "$schema": "https://example.com/schemas/ListOutputBody.json", "reports": [ { "capability": "string", "description": "string", "entries": true, "key": "string", "title": "string" } ]}GET
organization_id*stringreport_key*stringeventId?stringfrom?stringInclusive lower bound, RFC 3339.
to?stringExclusive upper bound, RFC 3339.
format?stringjson or csv
Default
"json"curl -X GET 'https://example.com/api/v1/organizations/string/reports/string'Example Response
Empty
POST
organization_id*stringreport_key*stringeventId?stringfrom?stringInclusive lower bound, RFC 3339.
to?stringExclusive upper bound, RFC 3339.
format?stringjson or csv
Default
"json"OK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
urirun*curl -X POST 'https://example.com/api/v1/organizations/string/reports/string/runs'Example Response
{ "$schema": "https://example.com/schemas/CreateRunOutputBody.json", "run": { "completedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "id": "string", "reportKey": "string", "rowCount": 0, "status": "string", "summary": null }}